### Method

# Secret Service lock_finish

#### Declaration [src]

    gint
    secret_service_lock_finish (
      SecretService* service,
      GAsyncResult* result,
      GList** locked,
      GError** error
    )

#### Description [src]

Complete asynchronous operation to lock items or collections in the secret service.

The secret service may not be able to lock items individually, and may lock an entire collection instead.

#### Parameters

`service`

  Type: `SecretService`

  The secret service.

  The argument can be `NULL`.

`result`

  Type: `GAsyncResult`

  Asynchronous result passed to the callback.

  The data is owned by the caller of the method.

`locked`

  Type: A list of `GDBusProxy*`

  location to place list of items or collections that were locked.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gint`

The number of items or collections that were locked.